Overview | Package | Class | Use | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.higgins.ics.ws.wsdl
Interface RPPSServiceSEI

All Superinterfaces:
  Remote

All Known Implementing Classes:
  RPPSServiceSEIBindingStub

public interface RPPSServiceSEI
extends Remote

Method Summary
`CategoryTO` | `addCategory(String userId, String password, CategoryTO category)`
`void` | `addClaimValuesMRU(String userId, String password, String claimType, String claimValue)`
`boolean` | `addUrlCardRelation(String userId, String password, String cuid, String url)`
`ResponseMessage` | `addUserProfile(String userId, String password, UserProfileTO userProfile)`
`void` | `addUserProfileFromHBX(String userId, String password)`
`FormatDescriptorTO` | `checkImportStream(String userId, String password, byte[] crd)`
`ICardTO` | `clearCardCredential(String userId, String password, String cuid)`
`boolean` | `clearCardHistory(String userId, String password, String cuid)`
`ICardTO` | `createDuplicateICard(String userId, String password, String cardName, String cuid, String pinCode)`
`ICardTO` | `createICardByTemplate(String userId, String password, ICardTemplateTO template)`
`String` | `createICardFromHBX(String userId, String password, String cardname)`
`void` | `deleteAllICard(String userId, String password)`
`boolean` | `deleteCardHistoryRecord(String userId, String password, String cuid, String url)`
`void` | `deleteCategory(String userId, String password, String categoryId)`
`ICardUpdateResponseTO` | `deleteICard(String userId, String password, String cuid)`
`boolean` | `deleteUrlCardRelation(String userId, String password, String cuid, String url)`
`boolean` | `deleteUrlsCardsRelations(String userId, String password, String cuid)`
`ResponseMessage` | `deleteUserProfile(String userId, String password)`
`ICardTO` | `editPinCode(String userId, String password, String cuid, String oldPinCode, String newPinCode)`
`byte[]` | `exportICards(String userId, String password, String formatID, String[] cards, UITokenServiceCredentialTO credential)`
`void` | `generatePasswordResetCode(String userIdentifier)`
`void` | `generatePasswordResetCodeWithCaptcha(String userIdentifier, String captchaId, String captchaResponse)`
`CaptchaTO` | `getCaptcha()`
`CardUsageTO[]` | `getCardHistory(String userId, String password, String cuid, int startFrom, int capacity, String orderBy, String orderDirection)`
`CardInformationTO` | `getCardInformation(String userId, String password, String cuid, int size)`
`CategoryTO[]` | `getCategory(String userId, String password)`
`MapTO[]` | `getClaimValuesMRU(String userId, String password)`
`ICardTO` | `getDefaultPCard(String userId, String password)`
`String[]` | `getHBXUIList(String version, String windowsName)`
`String` | `getHigginsServiceGlobalIName()`
`ICardTO` | `getICardById(String userId, String password, String cuid)`
`ICardTO` | `getICardByIdAndTokenServiceCredential(String userId, String password, String cuid, UITokenServiceCredentialTO userCredintial)`
`UIResponseCardTO` | `getICardClaims(String userId, String password, String cuid, String policy, String typeofCredential, String[] credentialKey, String[] credentialValue)`
`ICardTemplateTO[]` | `getICardCreationTemplate(String userId, String password)`
`ICardResponseTO` | `getICards(String userId, String password)`
`ICardsAndCategoryTO` | `getICardsAndCategoriesByUser(String userId, String password)`
`ICardTO[]` | `getICardsByCUIDs(String userId, String password, String[] cuids)`
`ICardTO[]` | `getICardsByFormat(String userId, String password, String formatID)`
`FormatDescriptorTO[]` | `getOutputFormats(String userId, String password)`
`TokenResponseTO` | `getTokenByClaims(String sslCert, String claimNameArray, String claimValueArray)`
`TokenResponseTO` | `getTokenByUrl(String userId, String password, String policy, String policytype, String sslCert, String url)`
`ExtraTokenResponseTO` | `getTokenExtraByUrl(String userId, String password, String policy, String policytype, String sslCert, String url)`
`TokenResponseTO` | `getTokenObject(String userId, String password, String policy, String policytype, String sslCert, String[] cuids, String typeofCredential, String[] credentialKey, String[] credentialValue)`
`UIResponseTO` | `getUI(String userId, String password, String url, String target, String sslCert, String policytype, String policy)`
`UserProfileTO` | `getUserProfile(String userId, String password)`
`ICardResponseTO` | `importICardAsByteArray(String userId, String password, byte[] crd)`
`ICardResponseTO` | `importICards(String userId, String password, byte[] crd, String formatID, UITokenServiceCredentialTO credential)`
`void` | `importICardsAsString(String userId, String password, String crd)`
`ResponseMessage` | `modifyCategories(String userId, String password, CategoryTO[] categories)`
`CategoryTO` | `modifyCategory(String userId, String password, CategoryTO category)`
`void` | `modifyPasswordWithOldPassword(String userIdentifier, String oldPassword, String newPassword)`
`void` | `modifyPasswordWithPasswordResetCode(String userIdentifier, String passwordResetCode, String newPassword)`
`void` | `modifyPasswordWithPasswordResetCodeAndCaptcha(String userIdentifier, String passwordResetCode, String newPassword, String captchaId, String captchaResponse)`
`UserProfileTO` | `modifyUserProfile(String userId, String password, UserProfileTO userProfile)`
`void` | `removeClaimValuesMRU(String userId, String password, String claimType, String claimValue)`
`ICardTO` | `resetPinCode(String userId, String password, String cuid, String oldPinCode)`
`boolean` | `setCardCredential(String userId, String password, String cuid, UITokenServiceCredentialTO tokenCredential)`
`void` | `setDefaultPCard(String userId, String password, String pcardId)`
`ICardTO` | `setPinCode(String userId, String password, String cuid, String pinCode)`
`String[]` | `testStringArray(String[] strArray)`
`ICardUpdateResponseTO[]` | `updateClaimsAcrossCards(String userId, String password, String[] claimTypes, String[] claimValues, ICardUpdateTO[] cardUpdate)`
`ICardTO` | `updateICard(String userId, String password, ICardTO icardTO)`
`ICardUpdateResponseTO[]` | `updateICards(String userId, String password, ICardTO[] icardTOs)`
`boolean` | `userIdentifierExists(String userIdentifier)`

Method Detail

### createICardByTemplate

    public ICardTO createICardByTemplate(String userId,
                                         String password,
                                         ICardTemplateTO template)
                                  throws RemoteException

  Throws:
    `RemoteException`

### createICardFromHBX

    public String createICardFromHBX(String userId,
                                     String password,
                                     String cardname)
                              throws RemoteException

  Throws:
    `RemoteException`

### createDuplicateICard

    public ICardTO createDuplicateICard(String userId,
                                        String password,
                                        String cardName,
                                        String cuid,
                                        String pinCode)
                                 throws RemoteException

  Throws:
    `RemoteException`

### getICardCreationTemplate

    public ICardTemplateTO[] getICardCreationTemplate(String userId,
                                                      String password)
                                               throws RemoteException

  Throws:
    `RemoteException`

### getUI

    public UIResponseTO getUI(String userId,
                              String password,
                              String url,
                              String target,
                              String sslCert,
                              String policytype,
                              String policy)
                       throws RemoteException

  Throws:
    `RemoteException`

### getICardByIdAndTokenServiceCredential

    public ICardTO getICardByIdAndTokenServiceCredential(String userId,
                                                         String password,
                                                         String cuid,
                                                         UITokenServiceCredentialTO userCredintial)
                                                  throws RemoteException,
                                                         StsFaultException

  Throws:
    `RemoteException`
    `StsFaultException`

### getICardClaims

    public UIResponseCardTO getICardClaims(String userId,
                                           String password,
                                           String cuid,
                                           String policy,
                                           String typeofCredential,
                                           String[] credentialKey,
                                           String[] credentialValue)
                                    throws RemoteException

  Throws:
    `RemoteException`

### getICardById

    public ICardTO getICardById(String userId,
                                String password,
                                String cuid)
                         throws RemoteException

  Throws:
    `RemoteException`

### getICards

    public ICardResponseTO getICards(String userId,
                                     String password)
                              throws RemoteException

  Throws:
    `RemoteException`

### getICardsByCUIDs

    public ICardTO[] getICardsByCUIDs(String userId,
                                      String password,
                                      String[] cuids)
                               throws RemoteException

  Throws:
    `RemoteException`

### getICardsAndCategoriesByUser

    public ICardsAndCategoryTO getICardsAndCategoriesByUser(String userId,
                                                            String password)
                                                     throws RemoteException

  Throws:
    `RemoteException`

### updateICard

    public ICardTO updateICard(String userId,
                               String password,
                               ICardTO icardTO)
                        throws RemoteException

  Throws:
    `RemoteException`

### updateICards

    public ICardUpdateResponseTO[] updateICards(String userId,
                                                String password,
                                                ICardTO[] icardTOs)
                                         throws RemoteException

  Throws:
    `RemoteException`

### importICardAsByteArray

    public ICardResponseTO importICardAsByteArray(String userId,
                                                  String password,
                                                  byte[] crd)
                                           throws RemoteException

  Throws:
    `RemoteException`

### importICardsAsString

    public void importICardsAsString(String userId,
                                     String password,
                                     String crd)
                              throws RemoteException

  Throws:
    `RemoteException`

### importICards

    public ICardResponseTO importICards(String userId,
                                        String password,
                                        byte[] crd,
                                        String formatID,
                                        UITokenServiceCredentialTO credential)
                                 throws RemoteException

  Throws:
    `RemoteException`

### checkImportStream

    public FormatDescriptorTO checkImportStream(String userId,
                                                String password,
                                                byte[] crd)
                                         throws RemoteException

  Throws:
    `RemoteException`

### exportICards

    public byte[] exportICards(String userId,
                               String password,
                               String formatID,
                               String[] cards,
                               UITokenServiceCredentialTO credential)
                        throws RemoteException

  Throws:
    `RemoteException`

### getICardsByFormat

    public ICardTO[] getICardsByFormat(String userId,
                                       String password,
                                       String formatID)
                                throws RemoteException

  Throws:
    `RemoteException`

### getOutputFormats

    public FormatDescriptorTO[] getOutputFormats(String userId,
                                                 String password)
                                          throws RemoteException

  Throws:
    `RemoteException`

### deleteICard

    public ICardUpdateResponseTO deleteICard(String userId,
                                             String password,
                                             String cuid)
                                      throws RemoteException

  Throws:
    `RemoteException`

### deleteAllICard

    public void deleteAllICard(String userId,
                               String password)
                        throws RemoteException

  Throws:
    `RemoteException`

### getHigginsServiceGlobalIName

    public String getHigginsServiceGlobalIName()
                                        throws RemoteException

  Throws:
    `RemoteException`

### testStringArray

    public String[] testStringArray(String[] strArray)
                             throws RemoteException

  Throws:
    `RemoteException`

### getTokenByClaims

    public TokenResponseTO getTokenByClaims(String sslCert,
                                            String claimNameArray,
                                            String claimValueArray)
                                     throws RemoteException

  Throws:
    `RemoteException`

### getTokenObject

    public TokenResponseTO getTokenObject(String userId,
                                          String password,
                                          String policy,
                                          String policytype,
                                          String sslCert,
                                          String[] cuids,
                                          String typeofCredential,
                                          String[] credentialKey,
                                          String[] credentialValue)
                                   throws RemoteException

  Throws:
    `RemoteException`

### getTokenByUrl

    public TokenResponseTO getTokenByUrl(String userId,
                                         String password,
                                         String policy,
                                         String policytype,
                                         String sslCert,
                                         String url)
                                  throws RemoteException

  Throws:
    `RemoteException`

### getTokenExtraByUrl

    public ExtraTokenResponseTO getTokenExtraByUrl(String userId,
                                                   String password,
                                                   String policy,
                                                   String policytype,
                                                   String sslCert,
                                                   String url)
                                            throws RemoteException

  Throws:
    `RemoteException`

### getUserProfile

    public UserProfileTO getUserProfile(String userId,
                                        String password)
                                 throws RemoteException

  Throws:
    `RemoteException`

### addUserProfileFromHBX

    public void addUserProfileFromHBX(String userId,
                                      String password)
                               throws RemoteException

  Throws:
    `RemoteException`

### addUserProfile

    public ResponseMessage addUserProfile(String userId,
                                          String password,
                                          UserProfileTO userProfile)
                                   throws RemoteException

  Throws:
    `RemoteException`

### addUrlCardRelation

    public boolean addUrlCardRelation(String userId,
                                      String password,
                                      String cuid,
                                      String url)
                               throws RemoteException

  Throws:
    `RemoteException`

### deleteUserProfile

    public ResponseMessage deleteUserProfile(String userId,
                                             String password)
                                      throws RemoteException

  Throws:
    `RemoteException`

### deleteUrlCardRelation

    public boolean deleteUrlCardRelation(String userId,
                                         String password,
                                         String cuid,
                                         String url)
                                  throws RemoteException

  Throws:
    `RemoteException`

### deleteUrlsCardsRelations

    public boolean deleteUrlsCardsRelations(String userId,
                                            String password,
                                            String cuid)
                                     throws RemoteException

  Throws:
    `RemoteException`

### userIdentifierExists

    public boolean userIdentifierExists(String userIdentifier)
                                 throws RemoteException

  Throws:
    `RemoteException`

### modifyUserProfile

    public UserProfileTO modifyUserProfile(String userId,
                                           String password,
                                           UserProfileTO userProfile)
                                    throws RemoteException

  Throws:
    `RemoteException`

### setPinCode

    public ICardTO setPinCode(String userId,
                              String password,
                              String cuid,
                              String pinCode)
                       throws RemoteException

  Throws:
    `RemoteException`

### resetPinCode

    public ICardTO resetPinCode(String userId,
                                String password,
                                String cuid,
                                String oldPinCode)
                         throws RemoteException

  Throws:
    `RemoteException`

### editPinCode

    public ICardTO editPinCode(String userId,
                               String password,
                               String cuid,
                               String oldPinCode,
                               String newPinCode)
                        throws RemoteException

  Throws:
    `RemoteException`

### getCategory

    public CategoryTO[] getCategory(String userId,
                                    String password)
                             throws RemoteException

  Throws:
    `RemoteException`

### addCategory

    public CategoryTO addCategory(String userId,
                                  String password,
                                  CategoryTO category)
                           throws RemoteException

  Throws:
    `RemoteException`

### deleteCategory

    public void deleteCategory(String userId,
                               String password,
                               String categoryId)
                        throws RemoteException

  Throws:
    `RemoteException`

### modifyCategory

    public CategoryTO modifyCategory(String userId,
                                     String password,
                                     CategoryTO category)
                              throws RemoteException

  Throws:
    `RemoteException`

### modifyCategories

    public ResponseMessage modifyCategories(String userId,
                                            String password,
                                            CategoryTO[] categories)
                                     throws RemoteException

  Throws:
    `RemoteException`

### getCardInformation

    public CardInformationTO getCardInformation(String userId,
                                                String password,
                                                String cuid,
                                                int size)
                                         throws RemoteException

  Throws:
    `RemoteException`

### clearCardCredential

    public ICardTO clearCardCredential(String userId,
                                       String password,
                                       String cuid)
                                throws RemoteException

  Throws:
    `RemoteException`

### setCardCredential

    public boolean setCardCredential(String userId,
                                     String password,
                                     String cuid,
                                     UITokenServiceCredentialTO tokenCredential)
                              throws RemoteException

  Throws:
    `RemoteException`

### clearCardHistory

    public boolean clearCardHistory(String userId,
                                    String password,
                                    String cuid)
                             throws RemoteException

  Throws:
    `RemoteException`

### deleteCardHistoryRecord

    public boolean deleteCardHistoryRecord(String userId,
                                           String password,
                                           String cuid,
                                           String url)
                                    throws RemoteException

  Throws:
    `RemoteException`

### getCardHistory

    public CardUsageTO[] getCardHistory(String userId,
                                        String password,
                                        String cuid,
                                        int startFrom,
                                        int capacity,
                                        String orderBy,
                                        String orderDirection)
                                 throws RemoteException

  Throws:
    `RemoteException`

### getHBXUIList

    public String[] getHBXUIList(String version,
                                 String windowsName)
                          throws RemoteException

  Throws:
    `RemoteException`

### updateClaimsAcrossCards

    public ICardUpdateResponseTO[] updateClaimsAcrossCards(String userId,
                                                           String password,
                                                           String[] claimTypes,
                                                           String[] claimValues,
                                                           ICardUpdateTO[] cardUpdate)
                                                    throws RemoteException

  Throws:
    `RemoteException`

### getClaimValuesMRU

    public MapTO[] getClaimValuesMRU(String userId,
                                     String password)
                              throws RemoteException

  Throws:
    `RemoteException`

### addClaimValuesMRU

    public void addClaimValuesMRU(String userId,
                                  String password,
                                  String claimType,
                                  String claimValue)
                           throws RemoteException

  Throws:
    `RemoteException`

### removeClaimValuesMRU

    public void removeClaimValuesMRU(String userId,
                                     String password,
                                     String claimType,
                                     String claimValue)
                              throws RemoteException

  Throws:
    `RemoteException`

### setDefaultPCard

    public void setDefaultPCard(String userId,
                                String password,
                                String pcardId)
                         throws RemoteException

  Throws:
    `RemoteException`

### getDefaultPCard

    public ICardTO getDefaultPCard(String userId,
                                   String password)
                            throws RemoteException

  Throws:
    `RemoteException`

### generatePasswordResetCode

    public void generatePasswordResetCode(String userIdentifier)
                                   throws RemoteException

  Throws:
    `RemoteException`

### modifyPasswordWithPasswordResetCode

    public void modifyPasswordWithPasswordResetCode(String userIdentifier,
                                                    String passwordResetCode,
                                                    String newPassword)
                                             throws RemoteException

  Throws:
    `RemoteException`

### modifyPasswordWithOldPassword

    public void modifyPasswordWithOldPassword(String userIdentifier,
                                              String oldPassword,
                                              String newPassword)
                                       throws RemoteException

  Throws:
    `RemoteException`

### modifyPasswordWithPasswordResetCodeAndCaptcha

    public void modifyPasswordWithPasswordResetCodeAndCaptcha(String userIdentifier,
                                                              String passwordResetCode,
                                                              String newPassword,
                                                              String captchaId,
                                                              String captchaResponse)
                                                       throws RemoteException

  Throws:
    `RemoteException`

### getCaptcha

    public CaptchaTO getCaptcha()
                         throws RemoteException

  Throws:
    `RemoteException`

### generatePasswordResetCodeWithCaptcha

    public void generatePasswordResetCodeWithCaptcha(String userIdentifier,
                                                     String captchaId,
                                                     String captchaResponse)
                                              throws RemoteException

  Throws:
    `RemoteException`

Overview | Package | Class | Use | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD